The Spring Framework

## org.springframework.core.style
Class StylerUtils

    java.lang.Object
      org.springframework.core.style.StylerUtils

    public abstract class StylerUtils

extends Object

Simple utility class to allow for convenient access to value styling logic, mainly to support descriptive logging messages.

For more sophisticated needs, use the `ValueStyler` abstraction directly. This class simply uses a shared `DefaultValueStyler` instance underneath.

Since:
  1.2.2
Author:
  Keith Donald
See Also:
  `ValueStyler`, `DefaultValueStyler`

Constructor Summary
`StylerUtils()`

Method Summary
`static String` `style(Object value)` Style the specified value according to default conventions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StylerUtils

    public StylerUtils()

Method Detail

### style

    public static String style(Object value)

  Style the specified value according to default conventions.

  Parameters:
    `value` - the Object value to style
  Returns:
    the styled String
  See Also:
    `DefaultValueStyler`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.